## ansilove 4.0.1

=== debian/changelog ===
ansilove (4.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #923787)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Jul 2019 14:17:20 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

#override_dh_compress:
#	dh_compress -X.ans

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/ansilove/ansilove/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ansilove 4.0.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (ansilove C)

include(CheckFunctionExists)
include(GNUInstallDirs)

# Check if system has pledge and strtonum
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
check_function_exists(pledge HAVE_PLEDGE)
check_function_exists(strtonum HAVE_STRTONUM)

# Additional include directories for compat functions
include_directories("compat")

# Ansilove library
find_path(ANSILOVE_INCLUDE_DIRS ansilove.h)
find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
include_directories(${ANSILOVE_INCLUDE_DIRS})

set(SRC src/ansilove.c src/strtolower.c src/sauce.c)

if(NOT HAVE_PLEDGE)
  set (SRC ${SRC} compat/pledge.c)
endif()

if(NOT HAVE_STRTONUM)
  set (SRC ${SRC} compat/strtonum.c)
endif()

add_definitions(-Wall -Wextra -std=c99 -pedantic)
add_executable(ansilove ${SRC})

target_link_libraries(ansilove ${ANSILOVE_LIBRARIES} m)

install(TARGETS ansilove DESTINATION bin)
install(FILES ansilove.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)

=== debian/changelog ===
ansilove (4.0.2-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated, also install examples.
  * d/README.source: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 13 Aug 2019 08:25:57 +0000

=== debian/control ===
Source: ansilove
Section: graphics
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libbsd-dev, libansilove-dev, cmake
Standards-Version: 4.2.1
Homepage: https://www.ansilove.org

Package: ansilove
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ANSI and ASCII art to PNG converter
 The following formats are supported:
  - .ANS - ANSi (ANSI escape sequences: ANSI X3.64 standard)
  - .PCB - PCBoard Bulletin Board System (BBS) own file format
  - .BIN - Binary format (raw memory copy of text mode video memory)
  - .ADF - Artworx format, supporting custom character sets and palettes
  - .IDF - iCE Draw format, supporting custom character sets and palettes
  - .TND - TundraDraw format, supporting 24-bit color mode
  - .XB  - The eXtended Binary XBin format, supporting custom character
           sets and palettes
 .
 This is capabable of processing:
  - SAUCE records
  - DOS and Amiga fonts (embedded binary dump)
  - iCE colors
 .
 Even more:
  - Output files are highly optimized 4-bit PNGs.
  - Optionally generates additional (and proper) Retina @2x PNG.
  - You can use custom options for adjusting output results.
  - Built-in support for rendering Amiga ASCII.

## ansilove 4.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,26 @@
 include(CheckFunctionExists)
 include(GNUInstallDirs)
 
+# Conditional build options
+set(ENABLE_SECCOMP 0
+    CACHE BOOL "Enable building with seccomp")
+
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
 check_function_exists(pledge HAVE_PLEDGE)
 check_function_exists(strtonum HAVE_STRTONUM)
+
+if(ENABLE_SECCOMP)
+  # Check if system has seccomp
+  message(STATUS "Looking for seccomp")
+  find_path(SECCOMP NAMES "linux/seccomp.h")
+  if(SECCOMP)
+    message(STATUS "Looking for seccomp - found")
+    add_definitions(-DHAVE_SECCOMP=1)
+  else()
+    message(STATUS "Looking for seccomp - not found")
+  endif()
+endif(ENABLE_SECCOMP)
 
 # Additional include directories for compat functions
 include_directories("compat")
@@ -33,5 +49,8 @@
 
 target_link_libraries(ansilove ${ANSILOVE_LIBRARIES} m)
 
-install(TARGETS ansilove DESTINATION bin)
+install(TARGETS ansilove DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES ansilove.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
+
+enable_testing()
+add_test(ansilove ansilove)

=== debian/changelog ===
ansilove (4.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 16 Dec 2019 12:33:58 +0100

ansilove (4.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 27 Nov 2019 12:51:46 +0100

ansilove (4.0.4-1) unstable; urgency=medium

  * New upstream version.
  * Drop debian/README.source.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Oct 2019 08:43:52 +0100

ansilove (4.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 20:29:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libbsd-dev, libansilove-dev, cmake
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://www.ansilove.org
 
 Package: ansilove

## ansilove 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
 include_directories(${ANSILOVE_INCLUDE_DIRS})
 
-set(SRC src/ansilove.c src/strtolower.c src/sauce.c)
+set(SRC src/ansilove.c src/types.c src/strtolower.c src/sauce.c)
 
 if(NOT HAVE_PLEDGE)
   set (SRC ${SRC} compat/pledge.c)
@@ -54,3 +54,9 @@
 
 enable_testing()
 add_test(ansilove ansilove)
+add_test(ansi ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.ans)
+add_test(artworx ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.adf)
+add_test(bin ansilove -c 80 ${PROJECT_SOURCE_DIR}/tests/bs-alove.bin)
+add_test(pcboard ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.pcb)
+add_test(tundra ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.tnd)
+add_test(xbin ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.xb)

=== debian/changelog ===
ansilove (4.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 18 Feb 2020 05:56:34 +0100

ansilove (4.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 09:04:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libbsd-dev, libansilove-dev, cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/myczko-guest/ansilove
+Vcs-Git: https://salsa.debian.org/myczko-guest/ansilove.git
 Homepage: https://www.ansilove.org
 
 Package: ansilove

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,5 @@
 %:
 	dh $@
 
-#override_dh_compress:
-#	dh_compress -X.ans
+override_dh_compress:
+	dh_compress -X.ans

## ansilove 4.1.1

=== debian/changelog ===
ansilove (4.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 29 May 2020 12:35:24 +0200

## ansilove 4.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
   find_path(SECCOMP NAMES "linux/seccomp.h")
   if(SECCOMP)
     message(STATUS "Looking for seccomp - found")
-    add_definitions(-DHAVE_SECCOMP=1)
+    add_definitions(-DHAVE_SECCOMP)
   else()
     message(STATUS "Looking for seccomp - not found")
   endif()
@@ -34,6 +34,7 @@
 find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
 include_directories(${ANSILOVE_INCLUDE_DIRS})
 
+set(CMAKE_BUILD_TYPE Release)
 set(SRC src/ansilove.c src/types.c src/strtolower.c src/sauce.c)
 
 if(NOT HAVE_PLEDGE)
@@ -44,7 +45,7 @@
   set (SRC ${SRC} compat/strtonum.c)
 endif()
 
-add_definitions(-Wall -Wextra -std=c99 -pedantic)
+add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c99 -pedantic)
 add_executable(ansilove ${SRC})
 
 target_link_libraries(ansilove ${ANSILOVE_LIBRARIES} m)

=== debian/changelog ===
ansilove (4.1.4-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated years, set Upstream-Contact.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 24 Nov 2020 06:16:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libbsd-dev, libansilove-dev, cmake
+Build-Depends: debhelper-compat (= 13), libbsd-dev, libansilove-dev, cmake
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/myczko-guest/ansilove
 Vcs-Git: https://salsa.debian.org/myczko-guest/ansilove.git
 Homepage: https://www.ansilove.org

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -W
 
 %:
 	dh $@

## ansilove 4.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,6 @@
 find_library(ANSILOVE_LIBRARIES NAMES ansilove REQUIRED)
 include_directories(${ANSILOVE_INCLUDE_DIRS})
 
-set(CMAKE_BUILD_TYPE Release)
 set(SRC src/ansilove.c src/types.c src/strtolower.c src/sauce.c)
 
 if(NOT HAVE_PLEDGE)
@@ -45,7 +44,7 @@
   set (SRC ${SRC} compat/strtonum.c)
 endif()
 
-add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c99 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c99 -pedantic)
 add_executable(ansilove ${SRC})
 
 target_link_libraries(ansilove ${ANSILOVE_LIBRARIES} m)

=== debian/changelog ===
ansilove (4.1.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 15 Aug 2021 11:39:56 +0200

ansilove (4.1.5-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 18 Feb 2021 11:54:37 +0100

## ansilove 4.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,16 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
 
-project (ansilove C)
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_EXTENSIONS OFF)
+
+project(ansilove C)
 
 include(CheckFunctionExists)
 include(GNUInstallDirs)
 
 # Conditional build options
-set(ENABLE_SECCOMP 0
-    CACHE BOOL "Enable building with seccomp")
+set(ENABLE_SECCOMP 0 CACHE BOOL "Enable building with seccomp")
 
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
@@ -37,17 +40,17 @@
 set(SRC src/ansilove.c src/types.c src/strtolower.c src/sauce.c)
 
 if(NOT HAVE_PLEDGE)
-  set (SRC ${SRC} compat/pledge.c)
+  set(SRC ${SRC} compat/pledge.c)
 endif()
 
 if(NOT HAVE_STRTONUM)
-  set (SRC ${SRC} compat/strtonum.c)
+  set(SRC ${SRC} compat/strtonum.c)
 endif()
 
-add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c99 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -pedantic)
 add_executable(ansilove ${SRC})
 
-target_link_libraries(ansilove ${ANSILOVE_LIBRARIES} m)
+target_link_libraries(ansilove ${ANSILOVE_LIBRARIES})
 
 install(TARGETS ansilove DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES ansilove.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
@@ -60,3 +63,5 @@
 add_test(pcboard ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.pcb)
 add_test(tundra ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.tnd)
 add_test(xbin ansilove ${PROJECT_SOURCE_DIR}/tests/bs-alove.xb)
+add_test(retina ansilove -r ${PROJECT_SOURCE_DIR}/tests/bs-alove.ans)
+add_test(sauce ansilove -s ${PROJECT_SOURCE_DIR}/tests/sauce.txt)

=== debian/changelog ===
ansilove (4.1.6-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * d/copyright: bump years.
  * d/control: update vcs fields.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Thu, 03 Mar 2022 07:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ansilove
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libansilove-dev, cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/myczko-guest/ansilove
-Vcs-Git: https://salsa.debian.org/myczko-guest/ansilove.git
+Vcs-Browser: https://salsa.debian.org/tar/ansilove
+Vcs-Git: https://salsa.debian.org/tar/ansilove.git
 Homepage: https://www.ansilove.org
 
 Package: ansilove

## ansilove 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,7 +53,7 @@
 target_link_libraries(ansilove ${ANSILOVE_LIBRARIES})
 
 install(TARGETS ansilove DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES ansilove.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
+install(FILES man/ansilove.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
 enable_testing()
 add_test(ansilove ansilove)

=== debian/changelog ===
ansilove (4.2.0-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/control: update Vcs fields.
  * d/rules: skip dh_dwz.

 -- Alex Myczko <tar@debian.org>  Mon, 27 May 2024 13:41:22 +0000

ansilove (4.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 14 Jun 2023 14:51:57 +0200

ansilove (4.1.7-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 17 Apr 2023 07:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ansilove
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libansilove-dev, cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/tar/ansilove
-Vcs-Git: https://salsa.debian.org/tar/ansilove.git
+Vcs-Browser: https://salsa.debian.org/debian/ansilove
+Vcs-Git: https://salsa.debian.org/debian/ansilove.git
 Homepage: https://www.ansilove.org
 
 Package: ansilove

## ansilove 4.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_C_STANDARD_REQUIRED ON)

=== debian/changelog ===
ansilove (4.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 11:29:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libansilove-dev, cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ansilove
 Vcs-Git: https://salsa.debian.org/debian/ansilove.git

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,8 @@
 %:
 	dh $@
 
+override_dh_dwz:
+	echo skip
+
 override_dh_compress:
 	dh_compress -X.ans

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/ansilove/ansilove/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
